SalesChannelService_InitiateIngestion
You implement thisScope not enforced
POST
/ingestion/initiate
const url = 'https://your-host.example/ingestion/initiate';const options = { method: 'POST', headers: { 'X-Zentail-Signature': '<X-Zentail-Signature>', 'X-Zentail-Timestamp': '<X-Zentail-Timestamp>', 'Content-Type': 'application/json' }, body: '{"storefrontId":"example","skus":["example"],"autoApplyIngestionPlan":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://your-host.example/ingestion/initiate \ --header 'Content-Type: application/json' \ --header 'X-Zentail-Signature: <X-Zentail-Signature>' \ --header 'X-Zentail-Timestamp: <X-Zentail-Timestamp>' \ --data '{ "storefrontId": "example", "skus": [ "example" ], "autoApplyIngestionPlan": true }'Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
InitiateIngestionRequest is the request for the InitiateIngestion RPC
object
storefrontId
string
skus
Array<string>
autoApplyIngestionPlan
boolean
Examplegenerated
{ "storefrontId": "example", "skus": [ "example" ], "autoApplyIngestionPlan": true}Responses
Section titled “ Responses ”A successful response.
Media typeapplication/json
InitiateIngestionResponse is the response for the InitiateIngestion RPC
object
Examplegenerated
{}default
Section titled “default”An unexpected error response.
Media typeapplication/json
object
code
integer format: int32
message
string
details
Array<object>
object
@type
string
key
additional properties
Examplegenerated
{ "code": 1, "message": "example", "details": [ { "@type": "example" } ]}